# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Tk-Getopt
Version:        0.50
Release:        alt1_4
Summary:        User configuration window for Tk with interface to Getopt::Long
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Tk-Getopt/
Source0:        http://www.cpan.org/authors/id/S/SR/SREZIC/Tk-Getopt-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(Safe.pm)
BuildRequires:  perl(Tk.pm)
# Optional      perl(Tk::Balloon)
BuildRequires:  perl(Tk/BrowseEntry.pm)
BuildRequires:  perl(Tk/CmdLine.pm)
# Optional fall back  perl(Tk::DirSelect)
BuildRequires:  perl(Tk/DirTree.pm)
# Optional  perl(Tk::FileDialog) is old and buggy. Tk::FileSelect is fall-back
BuildRequires:  perl(Tk/FileSelect.pm)
BuildRequires:  perl(Tk/Font.pm)
# Optional not yet packaged  perl(Tk::FontDialog)
# Optional      perl(Tk::NoteBook)
BuildRequires:  perl(Tk/Optionmenu.pm)
# Optional not yet packaged  perl(Tk::PathEntry)
BuildRequires:  perl(Tk/Photo.pm)
BuildRequires:  perl(Tk/Pixmap.pm)
BuildRequires:  perl(Tk/Tiler.pm)
# Tests
BuildRequires:  perl(Test/More.pm)
# Optional tests
BuildRequires:  perl(File/Temp.pm)
# Optional not yet packaged  perl(Tk::Dial)
Requires:       perl(Cwd.pm)
Requires:       perl(Data/Dumper.pm)
Requires:       perl(File/Basename.pm)
Requires:       perl(Getopt/Long.pm)
Requires:       perl(Safe.pm)
Requires:       perl(Tk.pm) >= 804
# Optional      perl(Tk::Balloon)
Requires:       perl(Tk/BrowseEntry.pm)
Requires:       perl(Tk/CmdLine.pm)
# Optional fall back  perl(Tk::DirSelect)
Requires:       perl(Tk/DirTree.pm)
# Optional  perl(Tk::FileDialog) is old and buggy. Tk::FileSelect is fall-back
Requires:       perl(Tk/FileSelect.pm)
Requires:       perl(Tk/Font.pm)
# Optional not yet packaged  perl(Tk::FontDialog)
# Optional      perl(Tk::NoteBook)
Requires:       perl(Tk/Optionmenu.pm)
# Optional not yet packaged  perl(Tk::PathEntry)
Requires:       perl(Tk/Photo.pm)
Requires:       perl(Tk/Pixmap.pm)
Requires:       perl(Tk/Tiler.pm)

# Filter optional not yet packaged  perl(Tk::PathEntry)

Source44: import.info
%filter_from_requires /^^perl\\(Tk::PathEntry\\)/d

%description
Tk::Getopt provides an interface to access command line options via
Getopt::Long and editing with a graphical user interface via a Tk window.

%prep
%setup -q -n Tk-Getopt-%{version}
chmod -x demos/*

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes demos README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.50-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.50-alt1_3
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.50-alt1_1
- fc import

